%define        group_audio 11
%define        group_cdrecording 12
%define        group_cdrom 19
%define        group_input 20
%define        group_video 24
%define        group_camera 22
%define        group_scanner 23
%define        group_nvram 50
%define        group_kvm 31
%define        group_systemd_journal 57
%define        user_systemd_journal_gateway 58
%define        group_systemd_journal_gateway 58
%define        user_systemd_network 60
%define        group_systemd_network 60
%define        user_systemd_resolve 61
%define        group_systemd_resolve 61
%define        user_systemd_bus_proxy 62
%define        group_systemd_bus_proxy 62
%define        user_systemd_timesync 64
%define        group_systemd_timesync 64
%define        user_systemd_journal_remote 65
%define        group_systemd_journal_remote 65
%define        user_systemd_journal_upload 66
%define        group_systemd_journal_upload 66
%define        group_render 71

Name:          systemd
Epoch:         2
Version:       247
Release:       1mamba
Summary:       A system and service manager compatible with SysV and LSB init scripts
Group:         System/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://freedesktop.org/wiki/Software/systemd
Source:        https://github.com/systemd/systemd.git/v%{version}/systemd-%{version}.tar.bz2
#Source:        http://www.freedesktop.org/software/systemd/systemd-%{version}.tar.xz
Source1:       udev-initscript
Source2:       udev-permissions.rules
Source4:       udev-openmamba.rules
Source8:       udev-check-cdrom.sh
Source11:      udev-MAKEDEV
Source13:      udev-blacklist
Source14:      udev-ifupdown.rules
Source15:      udev-post-initscript
Source16:      udev-sysconfig
Source17:      systemd-sysv-install
Patch0:        systemd-191-upstream-build-fix.patch
Patch1:        systemd-197-revert-only-add-support.patch
Patch2:        systemd-198-lock-to-tty-group-openmamba.patch
Patch3:        systemd-235-disable-systemd-coredump.patch
Patch4:        systemd-207-gpt-auto-generator.patch
Patch5:        udev-177-arm-pre-accept4.patch
Patch6:        systemd-207-swap_fix_reverse_dependencies.patch
Patch7:        systemd-207-create_wants_symlink.patch
Patch8:        systemd-208-journald-reduce-sizes.patch
Patch9:        systemd-216-sysv-generator-use-native-targets.patch
Patch10:       systemd-218-glibc-2.19.patch
Patch11:       systemd-219-rework_device_state_logic.patch
Patch12:       systemd-219-upstream_dont_change_devices_state_to_tentative.patch
Patch13:       systemd-219-upstream_do_not_spawn_jobs_or_during_coldplug.patch
Patch14:       systemd-219-silend-about-device-appeared-twice.patch
Patch15:       systemd-232-udev-rootlibdir.patch
Patch16:        systemd-232-i586-disable_restrict_address_families.patch
Patch17:        systemd-236-use_raw_file_descriptor_in_sysctl_write.patch
Patch18:        systemd-238-upstream-dont-include-libmount-h.patch
Patch19:        systemd-239-glibc-2.28.patch
Patch20:        systemd-240-upstream_fix_return_values.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: iptables-devel
BuildRequires: libacl-devel
BuildRequires: libaudit-devel
BuildRequires: libblkid-devel
BuildRequires: libbzip2-devel
BuildRequires: libcap-devel
BuildRequires: libcryptsetup-devel
BuildRequires: libcurl-devel
BuildRequires: libdw-devel
BuildRequires: libelf-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libidn-devel
BuildRequires: libkmod-devel
BuildRequires: liblz4-devel
BuildRequires: liblzma-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: libmount-devel
BuildRequires: libpam-devel
BuildRequires: libpcre2-devel
BuildRequires: libqrencode-devel
BuildRequires: libseccomp-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: vala-tools
BuildRequires: meson
BuildRequires: ninja
BuildRequires: iptables-devel >= 1.8.3
Conflicts:     sysvinit
Conflicts:     initscripts-sysv5
Requires:      sysvinit-tools
Requires:      udev = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kbd
Requires:      dbus >= 1.13.2
Provides:      laptop-mode-tools
Obsoletes:     laptop-mode-tools
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.

%package core
Summary:       systemd core files that may be used both by udev and systemd
Group:         System/Libraries
Requires:      liblockdev
Requires(post): pwdutils
Requires:      libsystemd = %{?epoch:%epoch:}%{version}-%{release}

%description core
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.

This package contains systemd core files that may be used both by udev and systemd.

%package -n libsystemd
Summary:       systemd libraries
Group:         System/Libraries

%description -n libsystemd
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.

This package contains the systemd libraries.

%package -n libsystemd-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      libsystemd = %{?epoch:%epoch:}%{version}-%{release}
Provides:      systemd-devel
Obsoletes:     systemd-devel

%description -n libsystemd-devel
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.

This package contains static libraries and header files needed for development.

%package tools
Summary:       %{name} GTK tools
Group:         Graphical Desktop/Applications/Configuration
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description tools
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.

This package contains the systemd GTK tools.

%package -n udev
Summary:       A userspace tool to manage a dynamic devices directory
Group:         System/Kernel and Hardware
Conflicts:     devfsd
Conflicts:     udev173
Obsoletes:     devfsd
Obsoletes:     hotplug
Provides:      udev-static
Obsoletes:     udev-static
Requires(post):/usr/sbin/groupadd
Requires(post):setup
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libudev = %{?epoch:%epoch:}%{version}-%{release}
Requires:      initscripts >= 1.1.18

%description -n udev
Udev allows Linux users to have a dynamic /dev directory and it provides the ability to have persistent device names.
It also replaces hotplug and runs entirely in userspace.

%package -n libudev
Summary:       udev libraries
Group:         System/Libraries
%ifarch x86_64 aarch64
Provides:      libudev.so.0()(64bit)
%else
Provides:      libudev.so.0
%endif

%description -n libudev
Udev allows Linux users to have a dynamic /dev directory and it provides the ability to have persistent device names.
It also replaces hotplug and runs entirely in userspace.
This package provides udev libraries.

%package -n libudev-devel
Summary:       Development files for udev
Group:         Development/Libraries
Requires:      libudev = %{?epoch:%epoch:}%{version}-%{release}
Provides:      udev-devel
Obsoletes:     udev-devel

%description -n libudev-devel
Udev allows Linux users to have a dynamic /dev directory and it provides the ability to have persistent device names.
It also replaces hotplug and runs entirely in userspace.
This package include development files for building software using udev libraries.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF

sed -i "s|@bindir@|/bin|g" src/core/macros.systemd.in

%build
#:<< _EOF
# LANG Workaround for meson error
export LANG="en_US.UTF-8"
export LC_ALL="en_US.UTF-8"

meson build \
   --prefix=%{_prefix} \
   --bindir=%{_bindir} \
   --sbindir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir} \
   --datadir=%{_datadir} \
   --includedir=%{_includedir} \
   --libdir=%{_libdir} \
   --libexecdir=%{_libexecdir} \
   --localstatedir=%{_localstatedir} \
   --mandir=%{_mandir} \
   --infodir=%{_datadir}/info \
   -Dc_std=gnu11 \
   -Drootlibdir=/%{_lib} \
   -Dpamlibdir=/%{_lib}/security \
   -Dtty-gid=4 \
   -Dman=true \
   -Dusers-gid=100 \
   -Dsplit-usr=true \
   -Dsplit-bin=true \
   -Dsysvinit-path=%{_initrddir} \
   -Drc-local=%{_initrddir}/rc.local \
   -Ddebug-shell=/bin/sh \
   -Dsystem-uid-max=998 \
   -Dsystem-gid-max=998 \
   -Ddefault-kill-user-processes=false \
   -Drpmmacrosdir=%{_sysconfdir}/rpm \
   -Dsupport-url="https://openmamba.org" \
   -Dntp-servers="0.europe.pool.ntp.org 1.europe.pool.ntp.org 2.europe.pool.ntp.org 3.europe.pool.ntp.org" \
   -Ddefault-hierarchy=hybrid
   
#   --build=release \
#   KMOD=/sbin/kmod
#   --enable-compat-libs \


#sed -i "s|@rootlibdir@|/%{_lib}|" src/libudev/libudev.pc

# TODO?
#   --enable-terminal \
#   --enable-kdbus \

make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall rpmmacrosdir=%{_sysconfdir}/rpm

install -D -m644 %{S:2} \
   %{buildroot}/lib/udev/rules.d/60-permissions.rules
install -D -m644 %{S:4} \
   %{buildroot}/lib/udev/rules.d/55-udev-openmamba.rules
#install -D -m755 %{S:14} \
#   %{buildroot}/lib/udev/rules.d/85-ifupdown.rules
install -D -m755 %{S:8} \
   %{buildroot}/lib/udev/check-cdrom.sh

install -D -m644 %{S:13} \
   %{buildroot}%{_sysconfdir}/modprobe.d/udev.conf
install -d -m0755 %{buildroot}/sbin
# compatibility symlinks
ln -s /lib/systemd/systemd-udevd %{buildroot}/sbin/udevd
ln -s libudev.so.1 %{buildroot}/%{_lib}/libudev.so.0

# fix libudev.so link since 232
#mv %{buildroot}/%{_lib}/libudev.la %{buildroot}%{_libdir}/
#rm -f %{buildroot}/%{_lib}/libudev.so
#ln -sf /%{_lib}/libudev.la %{buildroot}%{_libdir}/libudev.la
ln -sf /%{_lib}/libudev.so.1 %{buildroot}%{_libdir}/libudev.so
# same for libsystemd.so
#mv %{buildroot}/%{_lib}/libsystemd.la %{buildroot}%{_libdir}/
#rm -f %{buildroot}/%{_lib}/libsystemd.so
#ln -sf /%{_lib}/libsystemd.la %{buildroot}%{_libdir}/libsystemd.la
ln -sf /%{_lib}/libsystemd.so.0 %{buildroot}%{_libdir}/libsystemd.so

# /etc/mtab symlink
ln -s /proc/mounts %{buildroot}%{_sysconfdir}/mtab

# install libnss_myhostname.so.* to /%{lib}
#mv %{buildroot}%{_libdir}/libnss_myhostname.so.* %{buildroot}/%{_lib}/

# install our systemd-sysv-install
install -D -m0755 %{SOURCE17} %{buildroot}/lib/systemd/systemd-sysv-install
%find_lang %{name}

install -d -m0755 %{buildroot}%{_sysconfdir}/repart.d
install -d -m0755 %{buildroot}%{_prefix}/lib/repart.d

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre core
[ -e %{_sysconfdir}/mtab -a ! -L %{_sysconfdir}/mtab ] && rm -f %{_sysconfdir}/mtab
[ -L /var/lib/systemd/timesync ] && rm -f /var/lib/systemd/timesync
:

%post core
if [ "$1" -ge 1 ]; then
   # causes systemd not to boot since 219
   sed -i "/\/proc\/bus\/usb/d" /etc/fstab
   # SYSV5 -> Systemd migration
   [ -e /etc/machine-id ] || systemd-machine-id-setup >/dev/null 2>&1
   if [ ! -e %{_sysconfdir}/hostname ]; then
      [ -e %{_sysconfdir}/sysconfig/network ] && . %{_sysconfdir}/sysconfig/network
	  [ "$HOSTNAME" ] && echo "$HOSTNAME" > %{_sysconfdir}/hostname
   fi
   [ -e %{_sysconfdir}/modules.d -a ! -L %{_sysconfdir}/modules.d ] && {
      mv %{_sysconfdir}/modules.d/* %{_sysconfdir}/modules-load.d/ 2>/dev/null || true
	  rmdir %{_sysconfdir}/modules.d || true
	  ln -s modules-load.d %{_sysconfdir}/modules.d
   }
   groupadd systemd-journal -g %{group_systemd_journal} 2>/dev/null
   groupadd systemd-journal-gateway -g %{group_systemd_journal_gateway} 2>/dev/null
   useradd -u %{user_systemd_journal_gateway} -g systemd-journal-gateway \
      -d /var/log/journal -s /sbin/nologin -c "Journal Gateway" \
	  systemd-journal-gateway 2>/dev/null
   groupadd systemd-journal-remote -g %{group_systemd_journal_remote} 2>/dev/null
   useradd -u %{user_systemd_journal_remote} -g systemd-journal-remote \
      -d /dev/null -s /sbin/nologin -c "Systemd journal remote" \
	  systemd-journal-remote 2>/dev/null
   groupadd systemd-journal-upload -g %{group_systemd_journal_upload} 2>/dev/null
   useradd -u %{user_systemd_journal_upload} -g systemd-timesync \
      -d /dev/null -s /sbin/nologin -c "Systemd journal upload" \
	  systemd-journal-upload 2>/dev/null
   groupadd systemd-network -g %{group_systemd_network} 2>/dev/null
   useradd -u %{user_systemd_network} -g systemd-network \
      -d /dev/null -s /sbin/nologin -c "Systemd Network" \
	  systemd-network 2>/dev/null
   groupadd systemd-resolve -g %{group_systemd_resolve} 2>/dev/null
   useradd -u %{user_systemd_resolve} -g systemd-resolve \
      -d /dev/null -s /sbin/nologin -c "Systemd Resolve" \
	  systemd-resolve 2>/dev/null
   groupadd systemd-bus-proxy -g %{group_systemd_bus_proxy} 2>/dev/null
   useradd -u %{user_systemd_bus_proxy} -g systemd-bus-proxy \
      -d /dev/null -s /sbin/nologin -c "Systemd Bus proxy" \
	  systemd-bus-proxy 2>/dev/null
   groupadd systemd-timesync -g %{group_systemd_timesync} 2>/dev/null
   useradd -u %{user_systemd_timesync} -g systemd-timesync \
      -d /dev/null -s /sbin/nologin -c "Systemd time sync" \
	  systemd-timesync 2>/dev/null
   # Fix previously configured myhostname in last position
   grep "^hosts:.* myhostname$" /etc/nsswitch.conf &>/dev/null && \
      sed -i "s| myhostname||" /etc/nsswitch.conf
   # Configure libnss_myhostanme.so resolver
   grep "^hosts:.* myhostname" /etc/nsswitch.conf &>/dev/null || \
      sed -i "s|\(^hosts:.*files\)|\1 myhostname|" /etc/nsswitch.conf
fi
:

%postun core
if [ $1 -eq 0 ]; then
   grep "^hosts:.* myhostname" /etc/nsswitch.conf &>/dev/null && \
      sed -i "s| myhostname||" /etc/nsswitch.conf

fi
:

%post -n libsystemd
/sbin/ldconfig
:

%postun -n libsystemd
/sbin/ldconfig
:

%pre -n udev
# backup persistent-net rules file if it has an old syntax
if [ -e %{_sysconfdir}/udev/rules.d/70-persistent-net.rules ]; then
   grep "ATTRS{" %{_sysconfdir}/udev/rules.d/70-persistent-net.rules >/dev/null && \
      mv %{_sysconfdir}/udev/rules.d/70-persistent-net.rules \
	     %{_sysconfdir}/udev/rules.d/70-persistent-net.rules.save
fi
exit 0

%post -n udev
if [ $1 -ge 1 ]; then
   udevadm hwdb --update
   udevadm trigger -a change
fi

[ "`grep " vc/" /etc/inittab 2>/dev/null`" ] && {
  sed -i "s| vc/| tty|" /etc/inittab
  telinit q
}

groupadd audio -g %{group_audio} 2>/dev/null
groupadd cdrecording -g %{group_cdrecording} 2>/dev/null
groupadd cdrom -g %{group_cdrom} 2>/dev/null
groupadd input -g %{group_input} 2>/dev/null
groupadd video -g %{group_video} 2>/dev/null
groupadd camera -g %{group_camera} 2>/dev/null
groupadd scanner -g %{group_scanner} 2>/dev/null
groupadd nvram -g %{group_nvram} 2>/dev/null
groupadd kvm -g %{group_kvm} 2>/dev/null
groupadd render -g %{group_render} 2>/dev/null
:

%post -n libudev
/sbin/ldconfig
:

%postun -n libudev
/sbin/ldconfig
:

%posttrans core
if [ $1 -ge 1 ]; then
   systemctl --no-reload preset systemd-timesyncd
   # remove broken left sysv5 symlink due to migrating services to systemd
   find /etc/rc*.d/* -xtype l -delete 2>/dev/null
   systemctl -q daemon-reload
   KVER=`uname -r`
   INITRAMFS=/boot/initramfs-$KVER.img
   KERNEL=/boot/vmlinuz-$KVER
   [ -e $INITRAMFS -a ${_sysconfdir}/systemd/system.conf -nt $INITRAMFS ] || continue
   [ -e $KERNEL -a -e /usr/bin/mkinitrd ] || continue
   mkinitrd $INITRAMFS $KVER -f -q
   # fix initial console fonts with lighter one and working FONT_MAP (219)
   grep -q "^FONT_MAP=8859-1_to_uni" /etc/vconsole.conf && {
      sed -i "s|^FONT_MAP=8859-1_to_uni|FONT_MAP=latin2u|" /etc/vconsole.conf
      sed -i "s|^FONT=lat9w-16|FONT=LatGrkCyr-8x16|" /etc/vconsole.conf
   }
fi
:

%files 
%defattr(-,root,root)
%{_initrddir}/README
/sbin/halt
/sbin/init
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/telinit
%{_mandir}/man1/init.1*
%{_mandir}/man8/reboot.8*
%{_mandir}/man8/halt.8*
%{_mandir}/man8/poweroff.8*
%{_mandir}/man8/runlevel.8*
%{_mandir}/man8/shutdown.8*
%{_mandir}/man8/telinit.8*

%files core -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/kernel/install.d
%dir %{_sysconfdir}/systemd
%config(noreplace) %{_sysconfdir}/systemd/coredump.conf
%config(noreplace) %{_sysconfdir}/systemd/journal-remote.conf
%config(noreplace) %{_sysconfdir}/systemd/journal-upload.conf
%config(noreplace) %{_sysconfdir}/systemd/journald.conf
%config(noreplace) %{_sysconfdir}/systemd/logind.conf
%config(noreplace) %{_sysconfdir}/systemd/networkd.conf
%config(noreplace) %{_sysconfdir}/systemd/pstore.conf
%config(noreplace) %{_sysconfdir}/systemd/resolved.conf
%config(noreplace) %{_sysconfdir}/systemd/sleep.conf
%config(noreplace) %{_sysconfdir}/systemd/system.conf
%config(noreplace) %{_sysconfdir}/systemd/timesyncd.conf
%dir %{_sysconfdir}/systemd/network
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%config(noreplace) %{_sysconfdir}/systemd/user.conf
%config(noreplace) %{_sysconfdir}/homed.conf
%config(noreplace) %{_sysconfdir}/oomd.conf
%{_sysconfdir}/mtab
%dir %{_sysconfdir}/binfmt.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/repart.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/xdg/systemd
%{_sysconfdir}/xdg/systemd/user
%{_sysconfdir}/X11/xinit/xinitrc.d/50-systemd-user.sh
%{_prefix}/lib/pam.d/systemd-user
%{_bindir}/busctl
%{_bindir}/bootctl
%{_bindir}/coredumpctl
%{_bindir}/hostnamectl
%{_bindir}/kernel-install
%{_bindir}/localectl
%{_bindir}/resolvectl
%{_bindir}/systemd-dissect
%{_bindir}/systemd-mount
%{_bindir}/systemd-umount
%{_bindir}/systemd-path
%{_bindir}/systemd-run
%{_bindir}/timedatectl
/bin/homectl
/bin/journalctl
/bin/loginctl
/bin/machinectl
/bin/networkctl
/bin/oomctl
/bin/portablectl
/bin/systemctl
/bin/userdbctl
/bin/systemd-ask-password
/bin/systemd-escape
/bin/systemd-firstboot
/bin/systemd-hwdb
/bin/systemd-inhibit
/bin/systemd-machine-id-setup
/bin/systemd-notify
/bin/systemd-repart
/bin/systemd-tmpfiles
/bin/systemd-tty-ask-password-agent
/bin/systemd-sysusers
/sbin/resolvconf
%{_bindir}/systemd-cat
%{_bindir}/systemd-cgtop
%{_bindir}/systemd-delta
%{_bindir}/systemd-detect-virt
%{_bindir}/systemd-analyze
%{_bindir}/systemd-cgls
%{_bindir}/systemd-id128
%{_bindir}/systemd-nspawn
%{_bindir}/systemd-resolve
%{_bindir}/systemd-socket-activate
%{_bindir}/systemd-stdio-bridge
%{_datadir}/bash-completion/completions/*
%exclude %{_datadir}/bash-completion/completions/udevadm
%dir %{_prefix}/lib/kernel
%dir %{_prefix}/lib/kernel/install.d
%{_prefix}/lib/kernel/install.d/50-depmod.install
%{_prefix}/lib/kernel/install.d/90-loaderentry.install
%dir %{_prefix}/lib/binfmt.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/repart.d
%dir %{_prefix}/lib/sysctl.d
%{_prefix}/lib/sysctl.d/50-*.conf
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/systemd
%{_prefix}/lib/systemd/*
%dir %{_prefix}/lib/sysusers.d
%{_prefix}/lib/sysusers.d/*.conf
%dir /lib/systemd
/lib/systemd/*
%exclude /lib/systemd/systemd-udevd
/lib/udev/rules.d/99-systemd.rules
%{_prefix}/lib/kernel/install.d/00-entry-directory.install
%{_prefix}/lib/environment.d/99-environment.conf
/lib/modprobe.d/systemd.conf
%{_prefix}/lib/tmpfiles.d/*.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.*.conf
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.*.service
%dir %{_datadir}/factory
%dir %{_datadir}/factory/etc
%{_datadir}/factory/etc/issue
%{_datadir}/factory/etc/nsswitch.conf
%dir %{_datadir}/factory/etc/pam.d
%{_datadir}/factory/etc/pam.d/other
%{_datadir}/factory/etc/pam.d/system-auth
%{_datadir}/pkgconfig/systemd.pc
%dir %{_datadir}/systemd
%{_datadir}/systemd/kbd-model-map
%{_datadir}/systemd/language-fallback-map
%dir %{_datadir}/systemd/gatewayd
%{_datadir}/systemd/gatewayd/browse.html
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/*
%{_datadir}/polkit-1/actions/org.freedesktop.*.policy
%{_datadir}/polkit-1/rules.d/systemd-networkd.rules
%{_localstatedir}/log/README
%dir %{_localstatedir}/log/journal
%dir %{_localstatedir}/log/journal/remote
%dir %{_localstatedir}/lib/systemd
%{_mandir}/man1/bootctl.1*
%{_mandir}/man1/busctl.1*
%{_mandir}/man1/coredumpctl.1*
%{_mandir}/man1/homectl.1*
%{_mandir}/man1/hostnamectl.1*
%{_mandir}/man1/journalctl.1*
%{_mandir}/man1/localectl.1*
%{_mandir}/man1/loginctl.1*
%{_mandir}/man1/machinectl.1*
%{_mandir}/man1/networkctl.1*
%{_mandir}/man1/oomctl.1*
%{_mandir}/man1/portablectl.1*
%{_mandir}/man1/resolvconf.1*
%{_mandir}/man1/resolvectl.1*
%{_mandir}/man1/systemctl.1*
%{_mandir}/man1/systemd-*
%{_mandir}/man1/systemd.1*
%{_mandir}/man1/timedatectl.1*
%{_mandir}/man1/userdbctl.1*
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*
%{_mandir}/man8/kernel-install.8*
%{_mandir}/man8/libnss_myhostname.so.2.8*
%{_mandir}/man8/libnss_mymachines.so.2.8*
%{_mandir}/man8/libnss_systemd.so.2.8*
%{_mandir}/man8/nss-myhostname.8*
%{_mandir}/man8/nss-mymachines.8*
%{_mandir}/man8/nss-systemd.8*
%{_mandir}/man8/nss-resolve.8*
%{_mandir}/man8/pam_systemd.8*
%{_mandir}/man8/pam_systemd_home.8*
%{_mandir}/man8/systemd-*.8*
%{_mandir}/man8/30-systemd-environment-d-generator.8*

%files -n libsystemd
%defattr(-,root,root)
/%{_lib}/libsystemd.so.*
/%{_lib}/security/pam_systemd.*
/%{_lib}/security/pam_systemd_home.so
/%{_lib}/libnss_*.so.*
#%doc LICENSE.LGPL2.1

%files -n libsystemd-devel
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.systemd
%dir %{_includedir}/systemd
%{_includedir}/systemd/*.h
/%{_lib}/libsystemd.so
%{_libdir}/libsystemd.so
%{_libdir}/pkgconfig/libsystemd.pc
%dir %{_docdir}/systemd
%{_docdir}/systemd/*
%{_mandir}/man3/*.3*
%{_mandir}/man8/libnss_resolve.so.2.8.*
#%doc README TODO

%files -n udev
%defattr(-,root,root)
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/hwdb.d
%dir %{_sysconfdir}/udev/rules.d
%{_sysconfdir}/udev/udev.conf
%{_sysconfdir}/modprobe.d/udev.conf
/sbin/udevd
/bin/udevadm
%{_datadir}/bash-completion/completions/udevadm
/lib/systemd/systemd-udevd
%dir /lib/udev
#/lib/udev/accelerometer
/lib/udev/ata_id
/lib/udev/cdrom_id
/lib/udev/check-cdrom.sh
#/lib/udev/collect
/lib/udev/fido_id
%dir /lib/udev/hwdb.d
/lib/udev/hwdb.d/*.hwdb
/lib/udev/mtd_probe
%dir /lib/udev/rules.d
/lib/udev/rules.d/*.rules
%exclude /lib/udev/rules.d/99-systemd.rules
/lib/udev/scsi_id
/lib/udev/v4l_id
%{_datadir}/pkgconfig/udev.pc
%{_mandir}/man8/udevadm.8*
#%doc LICENSE.GPL2

%files -n libudev
%defattr(-,root,root)
/%{_lib}/libudev.so.*

%files -n libudev-devel
%defattr(-,root,root)
%{_includedir}/libudev.h
/%{_lib}/libudev.so
%{_libdir}/libudev.so
%{_libdir}/pkgconfig/libudev.pc

%changelog
* Wed Dec 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 247-1mamba
- update to 247

* Thu Oct 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 246-2mamba
- make sure systemd-timesyncd is enabled
- provide empty directories {/etc,/usr/lib}/repart.d and /etc/udev/hwdb.d/

* Sat Aug 01 2020 Automatic Build System <autodist@mambasoft.it> 246-1mamba
- automatic version update by autodist

* Sat Mar 07 2020 Automatic Build System <autodist@mambasoft.it> 245-1mamba
- automatic version update by autodist

* Wed Dec 11 2019 Automatic Build System <autodist@mambasoft.it> 244-1mamba
- automatic version update by autodist

* Tue Oct 29 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 243-3mamba
- rebuild with -Ddefault-hierarchy=hybrid for docker, see https://github.com/docker/cli/issues/2104

* Mon Oct 07 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 243-2mamba
- remove /var/lib/systemd/timesync if it is a symlink to fix systemd-timesyncd service

* Sat Sep 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 243-1mamba
- update to 243

* Thu Aug 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-4mamba
- fix systemctl and systemd-tmpfiles in systemd.macros

* Mon Jul 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-3mamba
- set sysvinit-path=%{_initrddir}

* Thu Jul 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-2mamba
- rebuilt with iptables 1.8.3

* Sun Jun 30 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-1mamba
- update to 242
- rebuilt with default-kill-user-processes=no

* Tue Mar 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 241-1mamba
- update to 241

* Sun Feb 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 240-2mamba
- upstream patch to fix early boot input/output error while investigating on live usb boot failure since 240

* Fri Dec 28 2018 Automatic Build System <autodist@mambasoft.it> 240-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 239-1mamba
- update to 239

* Thu Mar 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 238-2mamba
- create render group
- removed obsolete ifupdown rule and fixed permissions of other custom rules

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 238-1mamba
- update to 238

* Tue Jan 02 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 236-2mamba
- upstream patch to fix sysctl boot error

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 236-1mamba
- update to 236

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 235-2mamba
- remove disable-systemd-coredump patch (also fix typo: core_uses_pid not core_users_pid)

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 235-1mamba
- update to 235
- provide/obsolete laptop-mode-tools

* Mon Aug 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 234-1mamba
- update to 234

* Sat Dec 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-8mamba
- patch to disable restrict_address_families causing protocol not supported errors on boot

* Mon Dec 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-7mamba
- also symlink libsystemd.l and libudev.la to %{_libdir}

* Sun Dec 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-6mamba
- retry fix just adding libsystemd.so and libudev.so symlinks to %{_libdir}

* Sat Dec 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-5mamba
- revert previous change; just fix %{_libdir}/libudev.so symlink to /%{_lib}/libudev.so

* Thu Dec 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-4mamba
- revert moving libudev.[so|la] to %_libdir; patching pkgconfig file instead

* Sun Nov 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-3mamba
- move libudev.la and libudev.so to %{_libdir}

* Sun Nov 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-2mamba
- create systemd-journal-remote user

* Tue Nov 15 2016 Automatic Build System <autodist@mambasoft.it> 232-1mamba
- automatic version update by autodist

* Tue Jul 26 2016 Automatic Build System <autodist@mambasoft.it> 231-1mamba
- automatic version update by autodist

* Fri Jul 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 230-2mamba
- move udev.pc from libudev-devel to udev as required by dracut and more correct

* Fri May 27 2016 Automatic Build System <autodist@mambasoft.it> 230-1mamba
- automatic version update by autodist

* Fri Feb 19 2016 Automatic Build System <autodist@mambasoft.it> 229-1mamba
- automatic version update by autodist

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 228-1mamba
- automatic version update by autodist

* Thu Nov 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 226-2mamba
- provide input group

* Mon Sep 21 2015 Automatic Build System <autodist@mambasoft.it> 226-1mamba
- automatic version update by autodist

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 225-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 224-2mamba
- add systemd-sysv-install

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 224-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 223-1mamba
- update to 223

* Mon Jun 22 2015 Automatic Build System <autodist@mambasoft.it> 221-1mamba
- automatic version update by autodist

* Sun Jun 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-5mamba
- path to silend 'device appeared twice' error,see https://bugs.freedesktop.org/show_bug.cgi?id=90386

* Wed Mar 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-4mamba
- other two patches for livecd boot problem

* Tue Mar 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-3mamba
- add upstream patch to fix livecd unmount bug introduced in 219

* Sat Mar 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-2mamba
- remove obsolete /proc/bus/usb from fstab or this version won't boot cleanly
- update initial console font with a lighter one and fix mapping

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 219-1mamba
- automatic version update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 218-1mamba
- automatic version update by autodist

* Sun Nov 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 217-4mamba
- check for kernel and mkinitrd existence before running mkinitrd

* Sat Nov 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 217-3mamba
- fix myhostname ordering in nsswitch.conf

* Sat Nov 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 217-2mamba
- add --with-debug-shell=/bin/sh because default is /sbin/sushell which we don't have

* Thu Oct 30 2014 Automatic Build System <autodist@mambasoft.it> 217-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-7mamba
- create systemd-journal-upload user and group

* Sat Sep 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-6mamba
- patch sysv-generator to use native targets instead of runlevel*.target to fix broken sysv services startup
- fix poststrans script for broken old sysv symlinks removal
- restore chkconfig because this is not the problem
- added some new empty directories

* Fri Sep 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-5mamba
- disable chkconfig support to fix new systemd-sysv-generator legacy method

* Wed Sep 10 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-4mamba
- remove broken sysv5 symlink left after migrating to systemd; fix mkinitrd trigger date check

* Tue Sep 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-3mamba
- rebuild initramfs after install
- remove old udev-post init script activation in %post and %postun

* Sun Sep 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-2mamba
- add group systemd-journal-remote

* Fri Sep 05 2014 Automatic Build System <autodist@mambasoft.it> 216-1mamba
- automatic version update by autodist

* Tue Aug 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 215-2mamba
- udev: remove initscripts udev and udev-post and /etc/sysconfig/udev

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 215-1mamba
- automatic version update by autodist

* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 214-3mamba
- add systemd-timesync user and group

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 214-2mamba
- add new required users systemd-network, systemd-resolve, systemd-bus-proxy

* Wed Jun 18 2014 Automatic Build System <autodist@mambasoft.it> 214-1mamba
- automatic version update by autodist

* Fri May 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-7mamba
- nssswitch.conf: configure myhostname as host resolver
- install libnss_myhostname.so.* under /%{_lib}

* Wed Apr 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-6mamba
- udev, libudev, libudev-devel: other fixes in requires/obsoletes

* Mon Apr 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-5mamba
- no luck with smart and libsystemd-compat, moving compat libraries to libsystemd

* Sun Apr 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-4mamba
- rebuilt with --enable-compat-libs

* Sun Apr 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-3mamba
- move libraries to libsystemd and libudev, rename systemd-devel to libsystemd-devel and udev-devel to libudev-devel

* Wed Apr 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-2mamba
- provide compatibility package with symlinks for old library names

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 212-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Davide Madrisan <davide.madrisan@gmail.com> 208-6mamba
- systemd-core script: send to /dev/null the warning message 'useradd: UID 58 is not unique'
- Avoid bash-only constructs in the package scriplets

* Sun Feb 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 208-5mamba
- x86_64: rebuilt with lib64 python_sitearch
- x86_64: install pam modules under /%{_lib}/security

* Sat Jan 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 208-4mamba
- journald.conf: reduce default journal size from 3GB to 200MB/50MB

* Mon Dec 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 208-3mamba
- systemd-core: added Requires(post): pwdutils

* Thu Oct 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 208-2mamba
- add group systemd-journal and user and group systemd-journal-gateway

* Thu Oct 03 2013 Automatic Build System <autodist@mambasoft.it> 208-1mamba
- automatic version update by autodist

* Sun Sep 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 207-4mamba
- swap: also add upstream patch http://cgit.freedesktop.org/systemd/systemd/commit/?id=4e82fe5213bedcb70e25c0270e516d5f2706d8c8

* Thu Sep 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 207-3mamba
- added upstream patch to fix swap enabling on boot (https://bugs.freedesktop.org/show_bug.cgi?id=69291)

* Sat Sep 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 207-2mamba
- upstream patch to fix gpt error message on boot (https://bugs.freedesktop.org/show_bug.cgi?id=69315)

* Fri Sep 13 2013 Automatic Build System <autodist@mambasoft.it> 207-1mamba
- automatic version update by autodist

* Thu Sep 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 206-4mamba
- configure with correct rc-local-script-path for us

* Sat Aug 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 206-3mamba
- rebuilt with debug package

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 206-2mamba
- force configure to use /sbin/kmod instead of /usr/bin/kmod

* Wed Jul 24 2013 Automatic Build System <autodist@mambasoft.it> 206-1mamba
- automatic version update by autodist

* Wed Jul 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 205-2mamba
- added a patch to disable systemd-coredump (keeps dump in memory occupying memory and possibly freezing systems)

* Mon Jul 08 2013 Automatic Build System <autodist@mambasoft.it> 205-1mamba
- automatic version update by autodist

* Wed May 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 204-2mamba
- python 2.7 mass rebuild

* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 204-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 203-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 202-1mamba
- automatic version update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 201-1mamba
- automatic version update by autodist

* Sat Apr 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 200-4mamba
- require(post) setup before creating groups

* Fri Apr 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 200-3mamba
- x86_64: fix /sbin/udevd symlink

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 200-2mamba
- make modules.d -> modules-load.d conversion more silent

* Fri Mar 29 2013 Automatic Build System <autodist@mambasoft.it> 200-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 199-1mamba
- automatic version update by autodist

* Sun Mar 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-11mamba
- sysv5 legacy commands must be a symlink to /bin/systemctl, except for init which links to systemd

* Sun Mar 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-10mamba
- added /sbin/halt compatibility symlink to /lib/systemd/systemd

* Sat Mar 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-9mamba
- move /etc/rcsysinit.d/S12udev to /etc/rc.d/rcsysinit.d/

* Fri Mar 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-8mamba
- add /etc and /var empty directories previously unpackaged
- systemd-core: migrate /etc/mtab here instead of in systemd
- systemd-core: migrate from /etc/modules.d to /etc/modules-load.d and make compatibility symlink

* Thu Mar 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-7mamba
- systemd: also conflict with initscripts-sysv5

* Wed Mar 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-6mamba
- systemd: revert obsoleting sysvinit, require sysvinit-tools

* Wed Mar 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-5mamba
- systemd-core: create /etc/machine-id on install/upgrade

* Tue Mar 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-4mamba
- provide/obsolete sysvinit
- provide /etc/mtab as a symlink to /proc/mounts

* Mon Mar 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-3mamba
- create /etc/hostname using hostname in /etc/sysconfig/network for systemd

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-2mamba
- added a patch to support tty instead of lock group for openmamba
- require liblockdev

* Tue Mar 12 2013 Automatic Build System <autodist@mambasoft.it> 198-1mamba
- automatic version update by autodist

* Sat Feb 16 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 197-3mamba
- udev: run udevadm hwdb --update in post script
- revert an upstream patch to re-enable support for change events (https://bugzilla.redhat.com/show_bug.cgi?id=903716)

* Sat Jan 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 197-2mamba
- udev-devel: require systemd-devel

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 197-1mamba
- automatic version update by autodist

* Thu Nov 22 2012 Automatic Build System <autodist@mambasoft.it> 196-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 195-4mamba
- move systemd core files to systemd-core for use by udev with sysvinit still enabled

* Sat Nov 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 195-3mamba
- restore scripts from udev-182 used by udev-openmamba.rules

* Fri Nov 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 195-2mamba
- bump epoch up for udev upgrade
- provide compatibility symlink libudev.so.0
- move systemd-udevd to udev subpackage and fix compatibility symlink /sbin/udevd
- fix initscript to match new udevd daemon path

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 195-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 194-1mamba
- automatic version update by autodist

* Fri Sep 28 2012 Automatic Build System <autodist@mambasoft.it> 193-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 192-1mamba
- automatic version update by autodist

* Mon Sep 24 2012 Automatic Build System <autodist@mambasoft.it> 191-1mamba
- automatic version update by autodist

* Thu Aug 23 2012 Automatic Build System <autodist@mambasoft.it> 189-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 188-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 187-1mamba
- update to 187

* Wed Nov 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 37-1mamba
- package created by autospec
